AXROUTES(1)             XROUTER REFERENCE MANUAL            19/10/2023

COMMAND
        AXROUTES -- Display AX25 level 2 circuits

SYNOPSIS
        AX[routes] [ <portnum> | <callsign> | X ]

DESCRIPTION
        The AX[routes] command displays information about current 
        and recently active ax25 level 2 connections.

        It allows the sysop to monitor the performance of the links 
        between XRouter and its users or peers.

        Entries are purged 24 hours after they were last active,
        unless they are "locked" (indicated by "!" after the
        callsign), i.e. in use by level 3.

        The display shows the the port number and the remote
        callsign, with a chevron ">" in the leftmost column if the
        link is currently active.

        "M", "Pac" and  "F" are the Maxframe, Paclen and Frack last
        used on that link.  They may be the same as the port or
        global defaults, or they may have been dynamically modified
        by XRouter to suit the link conditions

        "RTT" is the Round Trip Time in seconds, i.e. the average
        time from sending a packet to receiving an acknowledgement
        for that packet.  This is dependent on many variables, such
        as the packet size, how good the radio link is, the data
        rate, the amount of queued data, the TXdelay and Resptime
        intervals at each end etc...

        "Sent" is the total no. of L2 frames sent to that station.
 
        "Resent" is the number of frames which had to be retried.
 
        "RTY%" is the ratio of these expressed as a percentage.

        "Rcvd" is the total no. of L2 frames received from that
               station.

        "Lost" is the number which were lost and had to be re-sent
               from the other end.

        "Rol" is "Rate Of Loss", which is effectively the retry rate
              which would be seen by the other station.

        Finally, Date/Time shows when the station was last heard.

OPTIONS
        AX[routes] by itself    lists all the L2 routes.
        AX[routes] <callsign>   lists only the routes to <callsign>.
        AX[routes] <portnum>    lists only the routes on that port.
        AX[routes] X            shows sent/rcvd bytes and throughput.

AVAILABILITY
        Sysop-only

NOTE
        This facility was intended for the author's benefit only. 
        It is likely to change or disappear altogether in future 
        versions.  If you find it useful, let the author know.

SEE ALSO
        LINKS(1)  -- Display currently active level 2 links
        ROUTES(1) -- Display links with adjacent nodes

AXROUTES(1)                 END OF DOCUMENT
