CX(1)                   XROUTER REFERENCE MANUAL              2/1/2024

COMMAND
        CX -- Make Outgoing AX25L2 Connection Using Modulo-128

SYNOPSIS
        CX [port] <call> [V(ia) digi[,digi...]] [S]

DESCRIPTION
        The CX (Connect eXtended) command instructs XRouter to make
        an outgoing (downlink) AX25 level 2 connection with another
        system.

        It is very similar to the normal "CONNECT" command, except
        that it ignores NetRom, and attempts layer 2 connections
        using "Extended AX25" (EAX25).

        If the target system is not capable of, or does not wish to
        use EAX25, it will answer with <DM> and XRouter will revert
        to regular AX25.       

OPTIONS
        On multi-port systems, a port number must be specified
        before the target callsign.

        The "V" (via) parameter allows up to 7 digipeaters to be 
        specified, e.g.:  "C 3 G6YAK V G8NTU G8EPR"

        The "S" (stay) parameter, e.g. "CX <callsign> S" causes the 
        uplink session to stay connected when the downlink session
        to the target station is terminated.

EXAMPLES
        CX 4 MLVN-1  - Forced level 2 connect to MLVN:G4FPV node 
        CX 3 G6YAK   - Level 2 connect to G6YAK on port 3
 
LIMITATIONS
        If more than 7 digipeaters are specified, only the first 7 
        will be used.

AVAILABILITY
        This command is available to everyone, with the exception of
        "guest" users, i.e. those who have accessed XRouter via the
        public internet without supplying a password.

SEE ALSO
        CONNECT(1)  -- Connect to Another System.
        MOD128(9)   -- AX25 Modulo-128 (Extended AX25)

CX(1)                        END OF DOCUMENT
