;*************************** Max Width *******************************
FULLDUP(7)            XROUTER REFERENCE MANUAL               24/9/2023

NAME
        FULLDUP -- Full Duplex.

SYNOPSIS
        FULLDUP=<0|1>

DESCRIPTION
        FULLDUP is an optional PORT directive, used in XROUTER.CFG.

        If FULLDUP=1, it allows simultaneous TX/RX, the DCD is
        ignored and the hardware will transmit whenever it has
        anything to send, without waiting for the other end to stop.

        The default is 0 (simplex / half duplex).

        Used only by hardware which is capable of simultaneous
        transmission and reception, such as full duplex radio or
        wire links, KISS TNCs, SCC cards, and YAM modems.. 

EXAMPLE
        FULLDUP=1    ; Full duplex 

SEE ALSO
        FULLDUP(1)     -- Display / Set full duplex mode.
        PORTS(6)       -- Ports in XRouter.
        XROUTER.CFG(8) -- Main Configuration File.

FULLDUP(7)                END OF DOCUMENT
