FULLDUP(1)              XROUTER REFERENCE MANUAL             24/9/2023

COMMAND
        FULLDUP -- Display / Set full duplex mode.

SYNOPSIS
        FULLDUP <port> [0 | 1]

AVAILABILITY
        SYSOP-only.

DESCRIPTION
        Displays the current duplex setting for a port, and allows it 
        to be changed without restarting the system.  If port is 
        operating in full duplex mode, DCD is ignored and the hardware 
        will transmit whenever it has anything to send.

        If two numeric arguments are supplied, the duplex flag is set 
        to the second argument, otherwise the current setting for the 
        specified port is displayed.  Values are: 0 - simplex, 1 - 
        full duplex.

        Modified settings remain in force until changed or system is 
        restarted.

EXAMPLE
        FULLDUP 3        - Display current setting for port 3
        FULLDUP 3 1      - Set port 3 into full duplex mode

NOTE
        On KISS ports, allow up to 5 minutes for modified settings to 
        reach the TNC.

        This parameter has meaning only on KISS TNCs, SCC cards, and
        YAM modems.

        FULLDUP=n may be used within PORT definition blocks in
        XROUTER.CFG to specify the default setting for a port.

SEE ALSO
        FULLDUP(7)     -- Set full duplex mode.
        XROUTER.CFG(8) -- Main Configuration File.

FULLDUP(1)                    END OF DOCUMENT
