HELP(1)                 XROUTER REFERENCE MANUAL            17/10/2023

COMMAND
        HELP -- Displays help for commands and other topics

SYNOPSIS
        HELP [cmd | topic]

AVAILABILITY
        The HELP command is available to all users.

DESCRIPTION
        If no arguments are given, a short text gives directions on 
        how to access help.

        If the argument is a topic or a command name, the contents of 
        the appropriate file in the HELP subdirectory are displayed.

        The argument "*" lists all the help topics available.

        The minimum abbreviation for this command is "H".

EXAMPLES
        H *      - List available help topics.
        H PING   - Gives help for PING command.

LIMITATIONS
        The command or topic name must at present be given in full, 
        thus "H NODES" is acceptable, but "H N" is not (unless you 
        duplicate the NODES.HLP file to N.HLP).  Future versions will 
        search for the closest match.

        Topic names were originally restricted to 8 characters
        because in order to be a legal DOS filename. Thus some help
        files have names that are shorter than the command name.

NOTES
        The help available using the HELP command is intended to be of 
        use to both sysops and users alike, and is kept brief in order 
        to avoid wasting airtime.  The MAN system gives more detailed 
        information for sysops.

        The sysop may customise the help files, or add his/her own 
        help topics to the HELP directory as required.  The HELP 
        directory is located beneath the router's working directory, 
        and the files are simply plain text files with the .HLP 
        extension.  Files without the .HLP extension will not be 
        listed or accessible.

SEE ALSO
        HELP(9) -- Help System.
        INFO(1) -- Information System.
        MAN(1)  -- Sysops Manual.

HELP(1)                     END OF DOCUMENT
