;***********************|****|* Max Width *|***|*********************|
KEEPALIVE(7)            XROUTER REFERENCE MANUAL             22/3/2024

NAME
        KEEPALIVE -- AXUDP / AXIP Keepalive interval.

SYNOPSIS
        KEEPALIVE=<secs>

DESCRIPTION
        KEEPALIVE is an optional PORT configuration directive used in
        XROUTER.CFG. It is only used by AXIP and AXUDP ports, and is
        ignored for other types of port.

        If present, KEEPALIVE specifies the interval in seconds
        between the sending of "keep alive" packets to the link
        partner.

        The purpose of keepalive packets is to maintain dynamic NAT
        entries in intermediate routers (including CGNAT), when
        traffic is light. They are not required when static NAT (aka
        "port forwarding") is used, provided the ISP doesn't use
        CGNAT.

        If KEEPALIVE is not specified, or is zero, no keep alive
        packets are sent.

EXAMPLE
        KEEPALIVE=120 	; 2 minutes between keepalives 
        
SEE ALSO
        AXIP(9)        -- AX25-over-IP Tunnelling.
        AXUDP(9)       -- AX25-over-UDP Tunnelling.
        KEEPALIVE(1)   -- Display / Change Keepalive Interval.
        XROUTER.CFG(8) -- Main Configuration File.

KEEPALIVE(7)                  END OF DOCUMENT
