;***********************|****|* Max Width *|***|*********************|
KEEPALIVE(1)            XROUTER REFERENCE MANUAL             22/3/2024

COMMAND
        KEEPALIVE -- Display / Change KEEPALIVE time for a port.

SYNOPSIS
        KE[eepalive] <port> [seconds]

DESCRIPTION
        Displays the current AXIP / AXUDP "keepalive" setting for the
        specified port, or allows it to be changed.

        If the second argument is omitted, the current value is 
        displayed, otherwise the value in seconds is used.

        The new setting overrides the value specified by the
        KEEPALIVE directive in the XROUTER.CFG file, and remains in
        force until changed, or until the next restart.

        Keep-alives are only used on AXIP and AXUDP ports. This
        command has no effect on other types of port.

EXAMPLES
        KEEPALIVE 2   - Display port 2 keepalive interval
        KE 2 120      - Set port 2 keepalive to 120 seconds

AVAILABILITY
        Sysop-only.

SEE ALSO
        AXIP(9)        -- AX25-over-IP Tunnelling.
        AXUDP(9)       -- AX25-over-UDP Tunnelling.
        KEEPALIVE(7)   -- AXUDP / AXIP Keepalive Interval.
        XROUTER.CFG(8) -- Main Configuration File.

KEEPALIVE(1)                 END OF DOCUMENT
