MENU(9)                 XROUTER REFERENCE MANUAL            24/10/2023

NAME
        MENU -- Console Pop-up Menu.

DESCRIPTION
        Console sysops can access a GUI-style "pop-up" menu at any
        time by hitting ALT_M (i.e. pressing the ALT and M keys
        together) at any time.

        This one-line "main" menu pops up on top of the the second
        line of the display, which is usually the title bar for
        whichever XRouter "window" is currently being displayed. 

        At the time of writing the top-level options are "File, View
        and Help.  The first character of each menu item is
        highlighted in red, signifying that it is a "hot-key", i.e.
        the menu item can be directly accessed by pressing the
        highlighted key.  ALT_F, ALT_V and ALT_H directly access the
        (F)ile, (V)iew and (H)elp menus respectively.

        The left and right arrow keys navigate the top level menu,
        highlighting the selected item in white text on a blue
        background. As each main memu item is selected, a "drop-down"
        sub-menu appears beneath it.

        The sub-menus also have "hot-keys" and highlighted items.
        The highlight can be moved using the up and down arrow keys,
        and the menu item can be actioned using the RETURN key. Or
        the item can be directly actioned using the hot key.

        For example, there are 3 ways to save the nodes table using
        this menu system:

        Firstly, ALT_M displays the main menu, where you can use the
        left or right arrow keys to select the (F)ile menu, the up
        and down arrow keys to select (S)ave nodes, then hit RETURN
        to perform the action.

        The second method is to use ALT_F to display the (F)ile menu,
        then select (S)ave Nodes using the up and down arrows and
        RETURN key as before.

        The third method is simply to use ALT_F followed by S. 

        This menu system is a forgotten work in progress, still a
        very long way from completion.  Feedback and suggestions are
        always welcome.

OPTIONS
        ALT+M    Top level menu

        ALT+F    (F)ile menu
                     (R)eload IP routes
                     (S)ave nodes table
                     E(X)it program

        ALT+H    (H)elp menu
                     (A)bout XRouter
                     (H)elp Topics
                     (M)anual Topics
                     (I)nfo Topics
                     (C)onfig Info

        ALT+V    (V)iew menu
                     C(L)ear Window  
                     S(Y)sop Chat
                     (C)hat Monitor
                     (S)ession Monitor
                     (N)odes Monitor
                     (R)outes Monitor
                     (X)router Status
                     Sec(U)rity Monitor
                     Console (1)
                     Console (2)
                     Console (3)

        The (H)elp, (M)an and (I)nfo Topics options display lists of
        the available topics. The lists can be navigated using the
        arrow keys, and the topic can be viewed in a scrollable
        window by hitting RETURN on the highlighted topic.
   
NOTE
        On the Windows version (XR32), the menu is accessed simply by
        tapping the ALT key, but this is not possible on Linux
        because Linux terminals don't produce a keycode when the ALT
        key is pressed by itself.

MENU(9)                      END OF DOCUMENT
