MHFLAGS(7)            XROUTER REFERENCE MANUAL              18/10/2023

NAME
        MHFLAGS -- MHeard option flags.

SYNOPSIS
        MHFLAGS=n (where n is a number between 0 and 255)

DESCRIPTION
        MHFLAGS is an optional directive which may be used in PORT
        defininition blocks in XROUTER.CFG. If present, it specifies
        the MHEARD options for that port.  These flags control
        which callsigns are recorded in the MHeard list.

        The settings may be changed suring run-time using the
        MHF[lags] command.

OPTIONS
        The argument to MHFLAGS is the sum of the required options
        from this list:
 
           1   Record directly heard stations
           2   Record directly heard digipeaters
           4   Record digipeated stations
           8   Record direct/digipeated separately for each station
          16   Preserve MHeard list across reboots.

        The default is 255 (record everything).

EXAMPLES
        MHFLAGS=3 ; Directly heard stations & digipeaters only
        MHFLAGS=4 ; Digipeated stations only

SEE ALSO
        MHCLEAR(1)     -- Clear MHeard list.
        MHEARD(1)      -- List recently heard stations.
        MHFLAGS(1)     -- Display / Set MHeard options.
        MHSIZE(1)      -- Adjust size of MHeard list.
        MHEARD(7)      -- MHeard size/enable directive
        XROUTER.CFG(8) -- Main Configuration File.
        MHEARD(9)      -- About "Monitor Heard".

MHFLAGS(7)                   END OF DOCUMENT
