;***********************|****|* Max Width *|***|*********************|
MQTT(1)                 XROUTER REFERENCE MANUAL             22/2/2024

NAME
        MQTT -- MQTT Test Client / Commands.

SYNOPSIS
        MQTT <ip_address | hostname> [tcp_port]
        MQTT <nodecall | nodealias>        

DESCRIPTION
        The MQTT command is used either to initiate a client session
        with an external MQTT "broker" (server), or to send commands
        to XRouter's internal MQTT broker for test purposes.

        After successful connection to a server, the client accepts
        the following commands:

            BYE
            DISC[onnect]
            GET <topic>
            H[elp]
            PUB[lish] [-options] <topic> [text]
            PUT <topic>
            SUB[scribe] <topic>
            UNSUB[sribe] <topic>

OPTIONS
        If the argument is an ip address or host name, the optional
        second argument can be used to specify a TCP port number. If
        a port number is not supplied, the default is 1883.

        If the argument is the callsign or alias of a known XRouter,
        i.e. one that is currently in the netrom nodes table, the
        connection is made to NetRomX service 1883.
     
AVAILABILITY
        Sysop-only.
   
SEE ALSO
        MQTT-CLI(9)  -- MQTT Client
        MQTT-SRV(9)  -- MQTT Server / Broker.

MQTT(1)                      END OF DOCUMENT
