MTO(1)                  XROUTER REFERENCE MANUAL            18/10/2023

COMMAND
        MTO -- Monitor frames to/from specified destination.

SYNOPSIS
        MT[o] [<callsign> | <ipaddr>[:port] | ALL | NONE]

AVAILABILITY
        Sysops-only.

DESCRIPTION
        The MTO command allows you to selectively monitor (trace)
        frames to/from a specified callsign or IP address.

        This filter is additional to any filtering provided by MPORT
        and MMASK, i.e. only frames on the specified MPORT(s), which
        match the protocol specified by MMASK, and the address
        specified by MTO will be displayed.

OPTIONS
        "MTO <callsign>" enables selective monitoring of frames to
        and from AX25 <callsign>.

        "MTO <ipaddr>[:port]" enables selective monitoring of frames
        to and from an IP address.  If a port is not specified, all
        traffic to/from that IP address is  monitored.  If port is
        specified, only TCP and UDP frames to and from the specified
        IP address are monitored, and only if the source or dest port
        match the specified one.

        "MTO ALL" disables selective tracing, allowing all packets
        on the selected port, which match the MMASK to be displayed.

        "MTO NONE" provides a quick means to cancel the existing MTO,
        and results in no packets being displayed.

EXAMPLES
        MTO g8pzt
        MTO 44.131.91.2:23

LIMITATIONS
        Only one MTO filter can be in operation on each console and
        remote sysop session at any time. Setting a new MTO cancels
        the previous one on that console or session. 

SEE ALSO
        MMASK(1)   -- Set Monitor Mask
        MONITOR(1) -- Enable / disable monitoring
        MPORT(1)   -- Set port to monitor

MTO(1)                      END OF DOCUMENT
