NODEALIAS(7)           XROUTER REFERENCE MANUAL              25/9/2023

NAME
        NODEALIAS -- Primary AX25 / NetRom Alias.

SYNOPSIS
        NODEALIAS=<alias>

DESCRIPTION
        NODEALIAS is a MANDATORY directive used in the "global"
        section of XROUTER.CFG,

        It specifies an "alias", i.e. a memorable or meaningful
        alternative to the NODECALL, which can be used for all AX25
        and NetRom operations.

        The <alias> is a string of up to 6 uppercase ASCII characters
        and numbers of your choice.  It does not have a SSID.

        Aliases beginning with "#" are not displayed in node lists,
        and are used for "linking only" nodes with no user access.

        It is suggested that the alias be geographically relevant
        beyond your own local area, for example BRSTOL, LEEDS or
        BRUM, so it can be easily identified.  However, some sysops
        who run multiple node types tend to use "XR..." or "...XR"
        for their XRouter nodes, e.g. "XRPAG5", "DOTXR", "OMXRP".

        All AX25 ports respond to AX25 connect requests directed at
        this alias. They may also have up to 2 additional aliases.

EXAMPLES
        NODEALIAS=KIDDER         ; Kidderminster
        NODEALIAS=PZTXRP         ; G8PZT's XRPi

SEE ALSO
        NODECALL(7)    -- Primary AX25 / Netrom Callsign.
        PORTALIAS(7)   -- Additional Alias for a Port.
        XROUTER.CFG(8) -- Main Configuration File.

NODEALIAS(7)                  END OF DOCUMENT
