PMS(9)                  XROUTER REFERENCE MANUAL              10/1/2024

NAME
        PMS -- Personal Message Server

SYNOPSIS
        This file describes XRouter's inbuilt Personal Message Server,
        which can be used for both private messages and bulletins.

DESCRIPTION
        XRouter's Personal Message Server (PMS) is a no-frills message 
        storage and retrieval system which is primarily intended for
        exchanging messages between users and sysops, but is not
        limited to that application.

        The PMS generates and understands SIDs (System IDentifiers),
        MIDs (Message IDentifiers) and BIDs (Bulletin IDentifiers),
        hierarchical addressing, bulletins, MBL forwarding and reverse
        forwarding, so it can also be used to exchange private mail
        and bulletins with a full-service Bulletin Board System
        (BBS). In fact it is a mini-BBS in its own right, as users
        may leave bulletins for others to read.

        There is no limit to the number of messages or the size of a 
        message.  If a disk is available, messages are stored on the
        disk and will persist until killed. If no disk is available,
        messages are stored in RAM and therefore will be lost if the
        machine is restarted.

        If there is unread local private mail in the PMS, the sysop
        is alerted by "PMS" flashing to the left of the nodecall on
        the top status bar.

CONFIGURATION
        If you want to enable the PMS, you must configure at least
        PMSCALL in XROUTER.CFG. If you want your PMS to be visible on
        the NetRom network, you must additionally add PMSALIAS and a
        non-zero PMSQUAL. For example: 

                PMSCALL=G8PZT-2
                PMSALIAS=PZTPMS
                PMSQUAL=50

CONNECTING TO PMS
        The PMS may be accessed using the "PMS" command, or by a
        connection to NetRomX service 2..

        In addition, if PMSCALL is defined in XROUTER.SYS, users may
        perform an AX25 level 2 connect directly to the PMSCALL.
        (PMSCALL must not not be the same as NODECALL)

        If PMSALIAS and a suitable PMSQUAL are also defined, users may 
        also connect directly to the PMS from another node, using
        "legacy" NetRom.

        At the time of writing there is no direct TCP/IP access to the
        the PMS, because a regular Telnet connection followed by the
        issuing of the "PMS" command is sufficient.
	
PMS COMMANDS
        The PMS has its own rudimentary command set as follows:

           <n> [n1 n2..]   Read message(s)
           ? [*]           Syntax and brief help
           A[bort]         Aborts paused message reading/listing
           B[ye]           Disconnect from the PMS.
           CB <cat> [dist] Copy any type of message to a bulletin
           CP <to> [at]    Copt aby type of message to a private msg 
           EX[port] <n> <file> Export msg <n> to <file> in "MBL" format
           H[elp]          Display list of commands.
           HO[ld] <msg>    Hold a message
           FF              Force Forwarding run
           H[elp] [topic]  Display help for PMS command or topic
           I[nfo] <call>   Display all WP info for <call>

           I@ <bbs>        List users with <bbs> as their 'home' BBS
           IC <call>       List users with pallsign <call> (*1)

           IH <haddr>      List users at hierarchical address <haddr>
           IM[port] <file> Import message(s) from MBL-format file

           IN <name>       List users called <name> (*1)

           IQ <qth>        List users at <qth> (*1)

           IZ <zip>        List users at <zip> / locator (*1)
           J [max]         Show most recent [max] callers (default 10)
           K[ill] <n ...>  Kill one or more messsages
           K> <call>       Kill messages TO <call> (*1)(*2)
           K< <call>       Kill messages FROM <call> (*1)(*2)
           K@ <dist>       Kill messages AT <distribution>
           KF [call]       Kill Forwarded msgs [TO call] (*1)(*3)
           KH [call]       Kill Held msgs [TO call]  (*1)(*3)
           KR [call]       Kill Read messages [TO call] (*1)(*3)
           KM              Kill Mine (messages you have read)
           L[ist]          List messages and bulletins.
           L[ist] <n>      List messages starting at number <n>
           L[ist] <f> <l>  List messages from numbers <f> to <l> 
           L> <to>         List messages TO callsign or category
           L< <from>       List messages FROM callsign
           L@ <at>         List messages AT a distribution
           L$ [to]         List messages waiting to be forwarded
           LA <n>          List oldest <n> messages 
           LB [n]          List [max of n] Bulletins backwards
           LC [cat]        List bulletin categories (*1)
           LF [to]         List sucessfully Forwarded messages
           LH              List held messages
           LL <n>          List the Last (most recent) <n> messages 
           LM              List Mine (all messages addressed to you)
           LN              List New (unread) mail addressed to you 
           LP [n]          List [max of n] Private messages
           LR [to]         List private mail that has been read
           LS <text>       List messages whose subject contains <text>
           LT <text>       List messages containing <text> in body
           LU [to]         List Unread messages
           M[ine]          List messages sent by you
           MB <file> <cat> Make Bulletin from file to category <cat>
           MF <n> <file>   Make File from message <n>
           MFH <n> <file>  Make File from message, including headers
           MP <file> <to>  Make Private message from a file
           N[ext]          Read next message in a "reading list"
           N[ame] [name]   Display or set your name in White Pages
           NC [on | off]   Display/set your ANSI colour preference

           NH [bbs]        Display or set your Home BBS
           NP [lines]      Set pagination [0=off]

           NQ [qth]        Display or set your QTH

           NZ [zip]        Display or set your Zip / Locator
           Q[uit]          Stop reading a list of messages
           R> <to>         Read messages TO callsign or category
           R< <from>       Read messages FROM callsign
           R@ <at>         Read messages AT a distribution
           R[ead] <n ...>  Read msg(s), hiding routing headers.
           RH <n ...>      Read message(s) showing routing headers
           RM              Read Mine (all messages addressed to you)
           RN              Read New (unread) mail addressed to you
           S[end]          Send a message to sysop.
           SP <call>       Send personal message to <call>
           SB <group>      Send bulletin to <group>
           U[nread] <msg>  Unread a message (mark it unread) (*2)
           UH <n n | all>  Un-hold one or more "held" messages (*3)
           VF              View Forwarding queue (*3)

           (*1) Wildcards are allowed.
           (*2) Non-sysops can only action their own messages.
           (*3) Sysop-only

STATUS MARKERS
           Status ' ' indicates unread "local" private mail.
           Status '$' indicates unforwarded non-local mail.
           Status 'F' indicates forwarded non-local mail.
           Status 'R' indicates local private mail that has been read.
           Status 'H' indicates that the message is "held".

DISCONNECTING FROM PMS
        To exit the PMS, the user may send BYE or QUIT, or simply
        disconnect.

        If the user sends the BYE or QUIT command, and he had accessed
        the PMS using the "PMS" command, he is returned to XRouter's
        main command prompt upon exit, otherwise he is disconnected.

FILES
        Messages are stored in the PMS subdirectory of the XRouter
        working directory. Within the PMS directory, the file
        LASTMSG.DAT holds the last message number. Do not delete
        this file!

HOUSEKEEPING
        Takes place every 24 hours, when the PMS is idle. During this
        operation, out of date messages and message ID's are purged,
        and the message base is re-numbered to remove gaps.

MAIL IMPORT
        At intervals less than a minute, the PMS will check the PMS
        directory for the existence of a file called "mail.in". If the
        file exists, the mail it contains is imported and the file is
        deleted. Don't write directly to "mail.in" otherwise it might
        be imported before you finish writing it. Create the file with
        a different name, then rename it to "mail.in" when completed.

NOTE
        If a command alias, or an application, with the name "PMS" is 
        defined, it will take priority over the internal PMS.

AVAILABILITY
        The PMS is available to all users. It is also available via
        the HTTP interface. Some functionality is available via REST
        and MQTT interfaces.

SEE ALSO
        PMS(1)      -- Start PMS Session.
        PMSALIAS(7) -- PMS Alias
        PMSCALL(7)  -- PMS Callsign.
        PMSQUAL(7)  -- PMS Quality.
        PMS-SVC(9)  -- NetRomX PMS Service
        MQTT-PMS(9) -- MQTT Interface to PMS.
        REST-PMS(9) -- REST Interface to PMS.

PMS(9)                      END OF DOCUMENT
