SMS-SVC(9)              XROUTER REFERENCE MANUAL              7/9/2023

NAME
        SMS-SVC -- Short Messaging Service

DESCRIPTION
        This short messaging service is for XRouter sysops, and has
        nothing to do with telephone SMS. It uses NetRomX service
        number 18.

        The purpose of this service is to receive short, single-line
        messages (up to 160 characters), and to deliver them to the
        sysop.

        Although the protocol is plain text, it is intended for use
        by automatons, not humans.

        It is a one-way protocol. Nodes "push" messages to each
        other, by connecting to each other's SMS service. They
        cannot poll for mail.

        The protocol is not yet finalised. It works, but may need to
        be tweaked.

        Line endings conform to the "packet radio" standard, i.e.
        ASCII 13 (carriage return) only.

        Upon connection to the server, the client receives a greeting
        together with a "nonce" for authorisation purposes:

              G8PZT-1 SMS ready [34564287]

        The client must then respond with an authorisation string,
        calculated from the nonce:

              A 0xxxx<authstring>

        An invalid authorisation string, or any other response at
        this point results in disconnection. 0 is the version.

        Once authorised, there are only 3 possible commands, namely
        S, R and Q.

        The S command sends an SMS to the server:

              S <to> <from> <stamp> <text>

              <to> and <from> are callsigns
              <stamp> is the msg timestamp in secs since 1/1/70
              <text> is up to 160 characters of plain text.

        The R command sends a "read receipt" to the server,
        indicating that the recipient has read the message:

              R <to> <from> <stamp> <rstamp>

              <to> and <from> are callsigns
              <stamp> is the msg timestamp in secs since 1/1/70
              <rstamp> is the timestamp of when the message was read

        The client may send multiple S and R messages in one session.

        When the client is done, it sends Q (quit), and the server
        closes the connection.

        The sysop is alerted to the presence of an unread mesage by
        a flashing "S" on the top status bar. He can then type "SMS"
        to view the messages.

SEE ALSO
        SMS(1)      -- Short Messaging System for Sysops.
        SERVICES(9) -- NetRomX Standard Services.

SMS-SVC(9)                  END OF DOCUMENT
