;*************************** Max Width *******************************
SOFTDCD(7)             XROUTER REFERENCE MANUAL              26/9/2023

NAME
        SOFTDCD -- Software Data Carrier Detect.

SYNOPSIS
        SOFTDCD=<0|1>

DESCRIPTION
        SOFTDCD is an optional PORT directive used in XROUTER.CFG.

        It specifies whether or not software-derived DCD (Data
        Carrier Detect) is used insteaed of hardware DCD. It is used
        only by SCC cards, and defaults to 0 (off).

OPTIONS
        If SOFTDCD=0 the "real" DCD generated by SCC card is used.

        If SOFTDCD=1 the real dcd is ignored, and the SCC driver uses
        the presence of HDLC data as a DCD indication.

CAVEATS
        Using SOFTDCD=1 with an open squelch generates a *huge*
        interrupt loading, which may cause degradation of
        performance, depending on the PC type, so it is not
        recommended.

SEE ALSO
        PORTS(6)       -- Ports in XRouter.
        XROUTER.CFG(8) -- Main Configuration File.

SOFTDCD(7)                  END OF DOCUMENT
